ランタイム: Mix::Parallel Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
Mix::Parallel Namespace Reference

パラレル More...

## Classes

struct | DEBUG_FUNC_INFO
| デバッグ : ファンクション情報構造体 More...
struct | DEBUG_THREAD_INFO
| デバッグ : スレッド情報構造体 More...
class | IManager
| 並列マネージャインターフェース More...
struct | WORK
| ワーク構造体 More...

## Typedefs

typedef void __stdcall | Function(UInt32 threadNum, UInt32 threadIndex, void *pData)
| ファンクション More...
typedef Function * | FunctionPtr
| Mix::Parallel::Function のポインタ More...

## Enumerations

enum | DEBUG_ID { DEBUG_DYNAMICS_COLLISION_DISPATCHER = 0, DEBUG_DYNAMICS_JOINT_SOLVER = 1, DEBUG_USER = 2 }
| デバッグ用識別子 列挙定数 More...

## Functions

_MIX_DLL_API Mix::Parallel::IManager * | GetManagerPtr (void)
| マネージャのポインタを取得します More...
_MIX_DLL_API Boolean | GetManager (Mix::Parallel::IManager **ppManager)
| マネージャを取得します More...

## Detailed Description

パラレル

## Typedef Documentation

void Mix::Parallel::Function

ファンクション

Parameters

  threadNum | ファンクションを実行するスレッドの数
  threadIndex | ファンクションを実行しているスレッドのインデックス ( 0 <= threadIndex < threadNum )
  pData | ファンクションの実行時 ( Mix::Parallel::IManager::ExecuteFunction ) に渡したデータのポインタ

Mix::Parallel::FunctionPtr

Mix::Parallel::Function のポインタ

## Enumeration Type Documentation

enum Mix::Parallel::DEBUG_ID

デバッグ用識別子 列挙定数

Enumerator
DEBUG_DYNAMICS_COLLISION_DISPATCHER | ダイナミクス : コリジョンディスパッチャー
DEBUG_DYNAMICS_JOINT_SOLVER | ダイナミクス : ジョイントソルバー
DEBUG_USER | ユーザー定義

## Function Documentation

_MIX_DLL_API Mix::Parallel::IManager* Mix::Parallel::GetManagerPtr | ( | void |  | ) |

マネージャのポインタを取得します

Returns
  マネージャを表す Mix::Parallel::IManager インターフェースのポインタを返します

_MIX_DLL_API Boolean Mix::Parallel::GetManager | ( | Mix::Parallel::IManager ** | ppManager | ) |

マネージャを取得します

Parameters

  [out] | ppManager | マネージャを表す Mix::Parallel::IManager インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したマネージャは参照カウンタを +1 します。